#include <qapplication.h>
#include <qpopupmenu.h>
#include <qmenubar.h>
#include "klasse.h"


MeinWidget::MeinWidget (QWidget *parent=0, const char*name = 0)
  : QMainWindow (parent, name)
{
  setCaption ("Fildatenbank");
  QPopupMenu *datei = new QPopupMenu (this);
  Q_CHECK_PTR (datei);
  // Abreissleiste im "Datei"-Menu
  datei->insertTearOffHandle ();
  datei->insertItem ( "&Ende", this, SLOT (ende ()), CTRL+Key_E );

  QPopupMenu *filme = new QPopupMenu (this);
  Q_CHECK_PTR (filme);
  filme->insertItem ( "&Neu", this, SLOT (neuerFilm ()) );
  filme->insertSeparator ();
  filme->insertItem ( "&Suchen", this, SLOT (suchen ()) );

  menuBar ()->insertItem ("&Datei", datei);
  menuBar ()->insertItem ("&Menu", filme);
}


void MeinWidget::ende (void)
{
  switch (
    QMessageBox::question (this, "Anwendung beenden",
      "Nicht gespeicherte Daten gehen verloren.\n\tWirklich Beenden?",
      QMessageBox::Yes, QMessageBox::No))
    {
      case QMessageBox::Yes:
        qApp->quit ();
        break;
      case QMessageBox::No:
        break;
    }
}

void MeinWidget::neuerFilm ()
{

}

void MeinWidget::suchen ()
{

}

int main( int argc, char **argv )
{
    QApplication a( argc, argv );
    MeinWidget *hallo = new MeinWidget;
    a.setMainWidget( hallo );
    hallo->show();
    return a.exec();
}
