#ifndef _klasse_h_
#define _klasse_h_
#include <qwidget.h>
#include <qpushbutton.h>
#include <qpaintdevice.h>
#include <qpainter.h>
#include <qtimer.h>

class Maus
{
  public:
    Maus (double x, double y);
    double getMausX (void);
    double getMausY (void);
    void calcNewPos (double OtherX, double OtherY);
    void setNewPos (void);

  private:
    double xPos, yPos;
    double NeuX, NeuY;
};

class MeinWidget : public QWidget
{
  Q_OBJECT
  public:
    MeinWidget (QWidget *parent=0, const char *name = 0);
    
  private:
    Maus *maeuse[100];
    int NumMaeuse;
    QPushButton *p;
    QTimer *t;

  private slots:
    void maus_update (void);
    void start_timer (void);
};

#endif
